.gradient-title {
  .text-with-options {
    white-space: normal;
  }

  .container {
    opacity: 1;
    transition: opacity 0.5s linear;
    z-index: 2;
  }

  .bg {
    transition: opacity 0.5s linear;
    opacity: 1;
    z-index: 0;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background-color: rgba(var(--bs-white-rgb), 0.8);
  }

  @supports (backdrop-filter: blur(20px)) and (mask: linear-gradient(180deg, transparent, rgba(0, 0, 0, 0.8) 20%, black 40%)) {
    .bg {
      backdrop-filter: blur(20px);
      -webkit-mask: linear-gradient(180deg, transparent, rgba(0, 0, 0, 0.8) 20%, black 40%);
      mask: linear-gradient(180deg, transparent, rgba(0, 0, 0, 0.8) 20%, black 40%);
      background-color: transparent;
    }
  }


  &.hide {
    pointer-events: none;

    .bg,
    .container {
      opacity: 0;
    }
  }
}